<?php

/**
 * 'Comments': Second level page under 'Site'
 * 
 *  @uses $site_id. Must be set in quick-setup.php
 *  @uses $url_contact_page
 *  @uses $url_terms_of_use
 *  @uses $blog_name
 */
 

$page_data = array( 

	  'post_title'     => 'Comments Policy'
	, 'post_type'      => 'page'	
	, 'post_parent'    => $site_id // ID of parent page	
	, 'post_status'    => 'publish'
	, 'comment_status' => 'closed'
	, 'ping_status'    => 'closed'
	, 'post_author'    => $author_id	  
	, 'post_content'   => '<div class="legal-doc" id="comments-policy">
<p>Comments that are    interesting, thought-provoking and/or extend the content of a post are appreciated. Please join  the   conversation and share your thoughts, questions, ideas and inspiration while being mindful of the points below.</p>
<h2>Comment Length</h2>
<p>Keep comments short but not too short. Comments like &quot;Nice post!&quot; contribute little, even if sincerely meant. At the same, people lose interest reading long-winded statements. Avoid covering  many ideas at once.</p>
<h2>Stay On-Topic</h2>
<p>Comments of a personal nature or not in context with the original post  should be <a href="'.$url_contact_page.'">emailed</a> instead. Do not respond to or engage anyone in breach of this <strong>Comments Policy</strong>. Simply <a href="'.$url_contact_page.'">report them</a> and let us know about the post concerned.</p>
<h2>Be Respectful</h2>
<p>Don\'t be condescending towards people who know less than you. Comments containing  judgements about another\'s character will not be accepted. Avoid scarcasm which is easily misinterpreted. Likewise, humour is often mistaken and best avoided. Keep things truthful and real. Err on the side of kindness.</p>
<h2>Comment Ownership</h2>
<p>You retain ownership of your comments. However, by leaving them on this site you   grant us an irrevocable world-wide,  non-exclusive, copyright-free, royalty-free license with permission to store,  transmit, display, publish,   reproduce,  distribute or use your comments in any way we choose.</p>
<h2>Limitation Of Liability</h2>
<p><strong>'.$blog_name.'</strong> disclaims any and all   liability resulting from your comments. By leaving them on this site you warrant that they are free of copyright or other legal infringements.</p>
<h2>Permitted Content</h2>
<p><strong>'.$blog_name.'</strong>  reserves the right to delete any comments without giving a reason. Comments that are profane, abusive, defamatory,  harassing, threatening,   pornographic, false, offensive, off-topic or   misleading will most likely be deleted. </p>
<p>Questions are welcome if they are contextually relevant to the Post. If the answer would  benefit others then please post your question as a comment rather than sending it via email. </p>
<h2>Posting Of Spam </h2>
<p>Spam in any form will not be tolerated. Do not attempt to advertise, solicit or   otherwise promote goods and services. All automated comment submissions will be considered spam. Spam and anything that looks like spam will be deleted. </p>
<h2>Linking</h2>
<p>A maximum of 1 outgoing link is permitted in the comment body. Comments with 2 or more links will be flagged as spam. A separate field is provided with each comment to provide a link to your website or another resource.</p>
<h2>Anonymous Comments</h2>
<p> Commenting on blogs is public by nature. If you don\'t want people to know who you are then refrain from leaving a comment. Or send an <a href="'.$url_contact_page.'">email</a> instead. Anonymous comments will trigger our spam alert.</p>
<h2>Encourage Discussion</h2>
<p>You can disagree with this site\'s owner and other commenters. All opinions are cherished as long as they are respectful of others. The internet would be a boring place if everyone thought the same. When commenting simply keep the above points in mind  and you\'ll be fine.</p>
<p>This <strong>Comments Policy</strong> forms a part of this <strong>'.$blog_name.'\'s</strong> <a href="'.$url_privacy_policy.'">Privacy Policy</a> and <a href="'.$url_terms_of_use.'">Terms of Use</a>.</p>
</div><!-- /#comments-policy -->
<p>&nbsp;</p>
'
	  
	); #endArray
	
