<?php

/**
 * 'Privacy': Second level page under 'Site'
 * 
 *  @uses $site_id. Must be set in quick-setup.php
 *  @uses $url_contact_page
 *  @uses $url_terms_of_use
 *  @uses $url_comments_policy
 *  @uses $blog_name
 */
 

$page_data = array( 

	  'post_title'   => 'Privacy Policy'
	, 'post_type'    => 'page'	
	, 'post_parent'  => $site_id // ID of parent page	
	, 'post_status'  => 'publish'
	, 'post_author'  => $author_id	  
	, 'post_content' => '<div class="legal-doc" id="privacy-policy">
<h2>Introduction</h2>
<p><strong>'.$blog_name.'</strong> is committed to protecting any data that we collect about you. By using our services you agree to the use of the data that we collect in accordance with this <strong>Privacy Policy</strong>.</p>

<h2>Your Privacy</h2>
<p>We collect the minimum amount of information about you that is required to provide you with a satisfactory service. This Policy indicates the type of processes that may result in data being collected concerning you. Your use of this website gives us the right to collect that information.</p>

<h2>Information Collected</h2>
<p>We may collect any or all of the information that you give us depending on the type of transaction you enter into, including your name, address, fax number, telephone number and email address, together with data about your use of the website. Other information that may be needed from time to time to process a request may also be collected as indicated on the website. Data in relation to credit card payments is processed by PayPal on a secure website linked to ours and they have their own privacy policy.</p>

<h2>Information Use</h2>
<p>We use the information collected mainly to process the task for which you visited the website. Data collected by us is held in accordance with the Australian Data Protection Act 2000. All reasonable precautions are taken to prevent unauthorized access to this information. This safeguard may require you to provide additional forms of identity should you wish to obtain additional information that we have about you.</p>

<h2>Cookies</h2>
<p>Your Internet browser has the in-built facility for storing small files or "cookies" that hold information which allows a website to recognize your account. Our website takes advantage of this facility to enhance your experience. You have the ability to prevent your computer from accepting cookies but, if you do, certain functionality on the website may be impaired.</p>

<h2>Information Disclosure</h2>
<p><strong>'.$blog_name.'</strong> does not disclose any personal information obtained about you from this website to third parties except when we need to do so in order to complete a transaction – e.g. transferring some details to PayPal when making a purchase. We may also use the information to keep in contact with you and inform you of developments associated with our business. You will be given the opportunity to remove yourself from any mailing list or similar device.</p>

<p>If at any time in the future we would wish to disclose information collected on this website to any third party, it would only be with your knowledge and consent. We may from time to time provide information of a general nature to third parties – for example, the number of individuals visiting our website or completing a registration form, but we will not use any information that could identify those individuals.</p>

<h2>Policy Changes</h2>
<p>Any changes to our <strong>Privacy Policy</strong> will be placed here and will supersede this version of our Policy. We will take reasonable steps to draw your attention to any changes in our Policy. However, to be on the safe side, we suggest that you read this document each time you use the website to ensure that it still meets with your approval.</p>

<h2>Contacting Us</h2>
<p>If you have any questions about our Privacy Policy, or if you want to know what information we have collected about you, please <a href="'.$url_contact_page.'">email us</a>. You can also correct any factual errors in that information or require us to remove your details from any list under our control.</p>
<p>This document should also be read in conjunction with our <a href="'.$url_comments_policy.'">Comments Policy</a> and <a href="'.$url_terms_of_use.'">Website Terms of Use</a>.</p>
</div><!-- /#privacy-policy -->
<p>&nbsp;</p>
'
	  
	); #endArray
	
