   <?php
   global $afp_conf, $conf;
   
   //echo '<pre>'; print_r($afp_conf); echo '</pre>';
   ?>             
        <style type="text/css">
        button { padding:7px; }
        button:hover { font-style: normal; font-weight: normal }
        
        label, input { display:inline; }
        label { cursor:pointer; }
		input.text { margin-bottom:12px; width:95%; }
        .input-medium { width:150px; }
		fieldset { padding:0; border:0; margin-top:25px; }
                
        #edit-form-info, #export-messages-box, #select-integration, #afp_wrap .full_desc { display:none; }
                
        #afp_wrap .list_row_over {
            background-color: #D0DBF4 !important;
        }
        
        .date_recorded_title_area ul {
            list-style: none;
        }        
        
        .date_recorded_title_area ul li {
            margin: 10px 0;
        }     
        </style>
        
        <script type="text/javascript">
        jQuery(document).ready(function($) { // When DOM is ready
            $('.list_row').mouseover(function() {
                $(this).find('td').addClass('list_row_over');
            }).mouseout(function() {
                $(this).find('td').removeClass('list_row_over');
            });
            
            // Clone Form
            $('#popitmenu').on("click", "a.clone", function(e) {
                
                e.preventDefault();
                
                if(confirm('This will create a new form with the same fields and properties as `'+ $(this).attr('title') +'`. Click OK to continue.')) {
                    
                    // Hide the pop it menu
                    $('#popitmenu').css('visibility', 'hidden');
                    
                    $('#clone_from_form_id').val($(this).attr('rel'));                
                    $('#clone_form').submit();
                }
            });
            
            // Delete Form            
            $('#popitmenu').on("click", "a.delete_f", function(e) {
                e.preventDefault();
                
                var form_name = $(this).attr('title');

                if(confirm('Are you sure you wish to delete the form `'+ form_name +'`?')) {
    		    
                    var form_id = $(this).attr('rel');
                    
                    var selector = $('#f-r-'+ form_id).children('td');
        		
                    $.ajax({
                        type: 'post',
                        url: '<?php echo $conf['url']['path_to_afp_admin']; ?>includes/apps/delete-form.php',
                        data: 'form_id=' + form_id,
                        
                        beforeSend: function() {
                            // Hide the pop it menu
                            $('#popitmenu').css('visibility', 'hidden');                         
                            
                            selector.animate(
                                { backgroundColor:'#FF7373' }, 'fast'
                            ).fadeOut('fast', function() {
                        	       selector.slideUp('fast');
                            });
                        },
                        
                        success: function(response) {
                            //alert(response);
                            $("#forms option[value='"+ form_id +"']").remove();
                            
                            if($('#forms option').length == 1) {
                                $("#forms option:first").attr('selected','selected');
                                $('#forms').trigger('change');
                            }
                        }
                    });
                }
                return false;
            });
            
            $("#edit-form-info").dialog({
    			autoOpen: false,
    			height: 320,
    			width: 450,
    			modal: true,
                
    			buttons: {
    				"Update": function() {
			             
                        var name = $('#name').val();
                        var description = $('#description').val();
                        
                        var selected_form_id = $.data(document.body, 'selected_form_id');

                        $.ajax({
                            type: 'post',
                            url: '<?php echo $conf['url']['path_to_afp_admin']; ?>includes/apps/edit-form-info.php',
                            data: $("#edit_form").serialize() + '&form_id='+ selected_form_id,
                            success: function(response) {
                                
                                //alert(response);
                                
                                responseObj = $.parseJSON(response);
                                
                                var res_success = responseObj.success;
                                var res_message = responseObj.message;
                                
                                if(res_success == 1) {
                                    var note_type = 'ok';

                                    // Update the name & description from the page
                                    $('#name-'+ selected_form_id).html(name);
                                    $('#description-'+ selected_form_id).html( description.substr(0, <?php echo $afp_conf['short_desc_chars']; ?>) + '...'  );
                                    $('#description-full-'+ selected_form_id).html( description );

                                } else {
                                    var note_type = 'error';
                                }
                                
                                $('#response_note').html('<div class="note_'+ note_type +'">'+ res_message +'</div>');
                                
                            }        
                        });
                        
    				},
    				Cancel: function() {
    					$(this).dialog("close");
    				}
    			},
                open: function() {
                    $buttonPane = $(this).next();
                    $buttonPane.find('button:first').addClass('accept').addClass('ui-priority-primary');
                    $buttonPane.find('button:last').addClass('cancel').addClass('ui-priority-secondary');                        
    			}
            });            

            $(".edit_info").click(function() {
            			 
                var clicked_form_id = $(this).attr('rel');
                
                // Update the form's fields
                $('#name').val( $('#name-'+ clicked_form_id).html() );
                $('#description').val( $('#description-full-'+ clicked_form_id).html() );
             
                $.data(document.body, 'selected_form_id', clicked_form_id);
             
    			$( "#edit-form-info" ).dialog("open");
                
                return false;
                
            });


//// ------------- EXPORT MESSAGES DIALOG ------------- ////
    $('#export-messages-box').dialog({
		autoOpen: false,
		height: 'auto',
		width: 580,
		modal: true,
        
		buttons: {
			"Export to CSV": function() {
                $('#export_messages_form').submit();
			},
			Cancel: function() {
				$(this).dialog("close");
			}
		},
        open: function() {
            $buttonPane = $(this).next();
            $buttonPane.find('button:first').addClass('accept').addClass('ui-priority-primary');
            $buttonPane.find('button:last').addClass('cancel').addClass('ui-priority-secondary');                        
        }           
    });
            
    $('#export_messages_btn').click(function(e) {
        e.preventDefault();
        $('#export-messages-box').dialog('open');
    });

    $('#add_date_recorded_checkbox_2_msg').click(function() {      
        if($(this).is(':checked')) {
            $('.date_recorded_title_area').slideDown('fast');
        } else {
            $('.date_recorded_title_area').slideUp('fast');
        }
    });
        
    //// ------------- INTEGRATION DIALOG ------------- ////        
    $("#select-integration").dialog({
		autoOpen: false,
		height: 'auto',
		width: 400,
		modal: true,
        
		buttons: {
                    Continue: function() {
                    window.location = '<?php echo $afp_conf['url']['path_to_manage_forms']; ?>&afp_module=get_code&forms='+ $('#integration_form_id').val() +'&method='+ $('#integration_method').val();
                },

            Close: function(event, ui) {
                $(this).dialog("close");                        
            }
        },
        open: function() {
            $buttonPane = $(this).next();
            $buttonPane.find('button:first').addClass('accept').addClass('ui-priority-primary');
            $buttonPane.find('button:last').addClass('cancel').addClass('ui-priority-secondary');                        
		}
    });            

    $(".integrate").click(function() {
		$( "#select-integration" ).dialog("open");
        return false;
    });
                     
        });
        </script>