<?php
ini_set('display_erorrs', 'on');

define('AFP_STANDALONE', 1);

$path_to_wp_root =  dirname ( dirname( dirname( dirname(__FILE__) ) ) ) .'/';

require( $path_to_wp_root.'wp-load.php' );
require( WP_PLUGIN_DIR . '/wp-ajax-form-pro/base.php');

include WP_AJAX_PRO_PATH . 'admin/includes/classes/class.application.php';
include WP_AJAX_PRO_PATH . 'admin/includes/classes/class.manage.forms.php';
include WP_AJAX_PRO_PATH . 'admin/includes/classes/class.manage.forms.fields.php';
include WP_AJAX_PRO_PATH . 'admin/includes/classes/class.database.php';

$afp_db = new Afp_DB($afp_conf['db']['host'], 
             $afp_conf['db']['user'],
             $afp_conf['db']['pass'],
             $afp_conf['db']['name'], false);
             
// Initiate the common application class
$afp_app = new Afp_Application($afp_conf, $afp_db);             

$form = new Manage_Forms($afp_conf, $afp_db);
$form_fields = new Manage_Forms_Fields($afp_conf, $afp_db);

//echo '<pre>'; print_r($_POST); echo '</pre>';

$self = basename($_SERVER['PHP_SELF']);

$prepare_values = isset($prepare_values) ? $prepare_values : true; 

//echo $prepare_values;

if($prepare_values) {
    $_POST = $afp_app->PrepareValues($_POST);
    $_GET = $afp_app->PrepareValues($_GET);
    $_REQUEST = $afp_app->PrepareValues($_REQUEST);
}

$app = $afp_app;
$db = $afp_db;
//echo '<pre>'; print_r($_SESSION); echo '</pre>';
?>