<!-- [Ajax_Form_Pro] -->
<div id="{$form_id}_wrap">

<a name="{$form_id}_anchor"></a>

<div id="{$form_id}_afb_note" class="afb_note" {$form_status.display}>{$form_status.message}</div>

<div id="{$form_id}_afb_fields">

{if $submit_limit_reached}
    <div class="afb_notification_error"><strong>{$c.submit_limit.notification}</strong></div>
{/if}

{if $not_active_yet && $c.availability.not_active_yet_message}
    <div class="afb_notification_error"><strong>{$c.availability.not_active_yet_message}</strong></div>
{/if}

{if $already_expired && $c.availability.already_expired_message}
    <div class="afb_notification_error"><strong>{$c.availability.already_expired_message}</strong></div>
{/if}

{if !$hide_form}
    <form id="{$form_id}" name="{$form_id}" method="post" action="{$form_attributes.action}" enctype="{$form_attributes.enctype}">
    <input type="hidden" name="form_id" value="{$form_id}" />
    
    {trimwhitespace}
 
    {foreach from=$fields key=key item=value}
        {foreach from=$same_row key=k item=v} 
            {foreach from=$v key=k2 item=v2 name="fields"}                                                               
                {if $k2 eq 0}
                    {if isset($v2.field_id) && $v2.field_id eq $key}
                        {$v2.before_content}    
                        <!-- [start fields row zone]-->
                        <div class="wrap">
                    {/if}
                {/if}
            {/foreach}
        {/foreach}
        
        {if $value.type neq 'hidden'}
            {if !in_array($key, $same_row_fields)}
                {* (Before Field Zone) *}
                    {$value.before_content}
                {* (/Before Field Zone) *}
            {/if}
            
            <div {if $value.hide_it eq 1}style="display:none"{/if} id="afp_wrap_f{$value.field_db_id}" class="wrap spacer {if in_array($key, $same_row_fields)} small no_clear {else} to_clear {/if} {if $value.mandatory eq 1}afp_req{/if} {if $value.has_logic eq 1}has_logic{/if}">
                {if in_array($key, $same_row_fields)}
                    {* (Before Field Zone) *}
                        {$value.before_content}
                    {* (/Before Field Zone) *}
                {/if}
            
                <label for="{$value.field_id}">{$value.text}</label>
                {* [START] INPUT TEXT FIELD *}
                {if $value.type eq 'input'}
                    <div><input {$value.attributes_html} type="text" name="{$value.name}" id="{$value.field_id}" value="{if $value.post_value}{$value.post_value}{else}{$value.default_value}{/if}" /></div>
                {/if}
                {* [END] INPUT TEXT FIELD *}
            
                {* [START] INPUT PASSWORD FIELD *}
                {if $value.type eq 'password'}
                    <div><input {$value.attributes_html} type="password" name="{$value.name}" id="{$value.field_id}" value="{if $value.post_value}{$value.post_value}{else}{$value.default_value}{/if}" /></div>
                {/if}
                {* [END] INPUT PASSWORD FIELD *}            
            
                {* [START] SELECT FIELD *}
                {if isset($value.type.select) && is_array($value.type.select)}
                    <div>
                    <select {$value.attributes_html} name="{$value.name}{$value.add_multiple_sign}" id="{$value.field_id}">
                        <option value="" style="color: #777;">...</option>
                    {foreach from=$value.type.select key=option_key_value item=option_value}
            	        <option value="{$option_key_value}" {$option_value.selected} {$option_value.attr_html}>{$option_value.text}</option>
                    {/foreach}
            
                    </select>
                    </div>
                {/if}
                {* [END] SELECT FIELD *}
             
             
                 {* [START] TEXTAREA FIELD *}
                {if $value.type eq 'textarea'}
                    <div><textarea {$value.attributes_html} name="{$value.name}" id="{$value.field_id}">{if $value.post_value}{$value.post_value}{else}{$value.default_value}{/if}</textarea></div>
                {/if}
                {* [END] TEXTAREA FIELD *}
            
                {* Checkboxes *}
                {if isset($value.type.checkboxes) && is_array($value.type.checkboxes)}
                    {$value.checkboxes_area} 
                {/if}
            
                {* Radios *}
                {if isset($value.type.radios) && is_array($value.type.radios)}
                    {$value.radios_area}
                {/if}

                {if in_array($key, $same_row_fields)}
                    {* (After Field Zone) *}
                        {$value.after_content}
                    {* (/After Field Zone) *}
                {/if}
            </div>
           
            {if !in_array($key, $same_row_fields)}
                {* (After Field Zone) *}
                    {$value.after_content}
                {* (/After Field Zone) *}
            {/if}
            
        {else}
            <input type="hidden" name="{$value.name}" value="{$value.default_value}" />
        {/if}

    
        {foreach from=$same_row key=k item=v} 
            {foreach from=$v key=k2 item=v2 name="fields"}                                                               
                {if isset($v2.field_id) && $v2.field_id eq $v.last_field_id}
                    {if $v2.field_id eq $key}
                        <div class="clear"></div>
                    </div>
                    {$v2.after_content}
                    <!-- [end fields row zone]-->
                    {/if}
                {/if}
            {/foreach}
        {/foreach}
                 
    {/foreach}
    
    {/trimwhitespace}
    
    {* Security Code *}
    
    {if $c.captcha.enabled eq '1'}
    
        <div class="wrap spacer afp_req" id="{$form_id}_afb_main_sec_div">
            <label>{$c.security_code.text}</label>
            <div>
                <div id="{$form_id}_afb_input_box_div"><input size="{$c.security_code.size}" class="required text {$c.security_code.class}" type="text" id="{$form_id}_security_code" name="security_code" />&nbsp;&nbsp;</div> 
                <div id="{$form_id}_afb_captcha_div"><img width="{$c.captcha.width}" height="{$c.captcha.height}" border="0" id="{$form_id}_afb_captcha" class="afb_captcha_vertical" src="{$c.url.path_to_script}captcha.php?form_id={$form_id}&x={$x}" alt="" />&nbsp;<a id="{$form_id}_afb_captcha_refresh" href="#"><img id="afb_icon_refresh" border="0" alt="" width="16" height="16" src="{$c.url.path_to_script}images/icon-refresh.png" align="bottom" /></a></div>  
                <div class="clear"></div>
            </div>
        </div>
        
        <div id="{$form_id}_afb_sec_div_two">
          <div id="{$form_id}_afb_verified">{$c.security_code.verified_text}</div>
        <div class="clear"></div><br />
        </div>
    
    {/if}
   
    {if $c.recaptcha.enabled eq '1'}
        <script type="text/javascript">
        {if $c.recaptcha.theme eq 'custom'}
            var RecaptchaOptions = {ldelim}
                theme : 'custom',
                custom_theme_widget: 'recaptcha_widget'
            {rdelim};        
        {else}
            var RecaptchaOptions = {ldelim}
                theme : '{$c.recaptcha.theme}'
            {rdelim};
        {/if}
        </script>
        
        <div class="wrap spacer">
            <div id="recaptcha_{$form_id}_output">
            
            {* Custom Theme *}
            {if $c.recaptcha.theme eq 'custom'}
            
            <style>
            #recaptcha_image img {
                width: 250px;
            }
            </style>
            
                <div id="recaptcha_widget" style="display:none">
                
                   <div id="recaptcha_image"></div>
                   <div class="recaptcha_only_if_incorrect_sol" style="color:red">Incorrect please try again</div>
                
                   <span class="recaptcha_only_if_image">Enter the words above:</span>
                   <span class="recaptcha_only_if_audio">Enter the numbers you hear:</span>
                
                   <input type="text" id="recaptcha_response_field" name="recaptcha_response_field" />
                
                   <div><a href="javascript:Recaptcha.reload()">Get another CAPTCHA</a></div>
                   <div class="recaptcha_only_if_image"><a href="javascript:Recaptcha.switch_type('audio')">Get an audio CAPTCHA</a></div>
                   <div class="recaptcha_only_if_audio"><a href="javascript:Recaptcha.switch_type('image')">Get an image CAPTCHA</a></div>
                
                   <div><a href="javascript:Recaptcha.showhelp()">Help</a></div>
                
                 </div>
                
                 <script type="text/javascript"
                    src="http://www.google.com/recaptcha/api/challenge?k={$c.recaptcha.public_key}">
                 </script>
                 <noscript>
                   <iframe src="http://www.google.com/recaptcha/api/noscript?k={$c.recaptcha.public_key}"
                        height="300" width="500" frameborder="0"></iframe><br />
                   <textarea name="recaptcha_challenge_field" rows="3" cols="40">
                   </textarea>
                   <input type="hidden" name="recaptcha_response_field"
                        value="manual_challenge" />
                 </noscript>
                                 
            {else}
                {$recaptcha_output}
            {/if}
            </div>
        </div>
    {/if}
    
    {if $c.escts.enabled eq '1'}
        <div class="wrap">
        <div class="escts"><input class="chck" id="{$form_id}_escts" type="checkbox" name="escts" value="1" />&nbsp;<label class="escts" for="{$form_id}_escts">{$c.escts.text}</label></div>
        </div>
    {/if}
    
    {if $c.attachments.enabled eq '1'}
        {$attachments}
    {/if}
    
    <div class="clear"></div>
    
    <input id="{$form_id}_afb_submit_button" class="{$c.submit.class}" type="submit" name="submit" value="{$c.submit.button_text}" /><div id="{$form_id}_afb_ajax_loading">{$c.submit.submitting_text}</div><br />
    
    <input type="hidden" name="{$form_id}_afb_success_sent" id="{$form_id}_afb_success_sent" value="0" />
    
    </form>
{/if}

</div>

</div>

<!-- [/Ajax_Form_Pro] -->