<?php
function afp_footer() {
    global $afp, $afp_conf;
    
    foreach($afp->mMyForms as $form_id => $value) {
        
        if($value['for_lightbox'] == 0) {
            continue;
        }
        
        $title = $value['title'];
        $area_width = $value['area_width']
    ?>
    <!-- [Start] Lightbox Form '<?php echo $title; ?>' -->
    <div style="display:none; width:<?php echo $area_width; ?>;">
        <div id="afp<?php echo $form_id; ?>_wrap">
        
        <?php if($title) { ?>
        	<h1 style="height:48px; margin: 0; padding: 16px 0 0 59px; background: url('<?php echo $afp_conf['url']['path_to_images']; ?>icon-mail.png') no-repeat scroll -5px 44% transparent;"><?php echo $title; ?></h1>
        <?php }
        
        /*
        -----------------------
        Include the AJAX Form
        -----------------------
        */
        
        $afp->ShowForm($form_id);
        ?>
        
        </div>
    </div>
    <!-- [End] Lightbox Form '<?php echo $title; ?>' -->
    <?php
    }
}
    
add_action( 'wp_footer', 'afp_footer' );
?>